Subject: bug#33108: closed (Re: bug#33109: Expose hidden "Save for Future Sessions" Customizations button)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 25 Oct 2018 15:23:03 +0000

Your bug report

#33109: Expose hidden "Save for Future Sessions" Customizations button

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
33109: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=33109
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#33109: Expose hidden "Save for Future Sessions" Customizations button
From: 積丹尼 Dan Jacobson <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: [email-masked]
Date: Thu, 25 Oct 2018 23:22:37 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

>>>>> "EZ" == Eli Zaretskii <[email-masked]> writes:
EZ> Why is this detail important?  Your original report was that it
EZ> doesn't save at all ("will be lost upon exit").  Do we now agree that
EZ> the customization _is_ saved when you press that button?  And that
EZ> there's no bug here?

Nothing got saved for me

>> Anyway, then why is the difference between the
>> "Apply and Save" and "Save for Future Sessions" button?

EZ> What "Save for Future Sessions" button?  I only see  "Save for Future
EZ> Sessions" in the "State" menu, I don't see a button with that label.

Ah, so there are two different "states" for saving...

OK I'll close this bug. Customization has always been a disaster for me.
Forget it.

Subject: Expose hidden "Save for Future Sessions" Customizations button
From: 積丹尼 Dan Jacobson <[email-masked]>
To: [email-masked]
Date: Sun, 21 Oct 2018 05:31:30 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

In the Customize Face buffer most users will think the "Apply and Save"
button will save their changes to a file, only to unknowingly lose them
upon exit.

Only if they read (info "(emacs) Saving Customizations") will they learn
of the hidden "Save for Future Sessions" button.

I propose the latter button be placed on the interface right beside the
former button, visible from the start.

Also whatever makes this comment
 ;; custom-set-... was added by Custom.
 ;; If you edit it by hand, you could mess it up, so be careful.
 ;; Your init file should contain only one such instance.
 ;; If there is more than one, they won't work right.
should mention it too.